Mail::MtPolicyd::Client::Request(3pm)

NAME
Mail::MtPolicyd::Client::Request - a postfix policyd client request class

VERSION
version 2.05

DESCRIPTION
Class for construction of policyd requests.

  SYNOPSIS
  use Mail::MtPolicyd::Client::Request;

  $request = Mail::MtPolicyd::Client::Request->new(
    'client_address' => '127.0.0.1',
  );

  METHODS

as_string
    Returns the request in as a string in the policyd request format.

  ATTRIBUTES

type (default: smtpd_access_policy)
    The type of the request.

instance (default: rand() )
    The instance ID of the mail processed by the MTA.

attributes (default: {} )
    A hashref with contains all key/value pairs of the request.

AUTHOR
Markus Benning <ich@markusbenning.de>

COPYRIGHT AND LICENSE
This software is Copyright (c) 2014 by Markus Benning <ich@markusbenning.de>.

This is free software, licensed under:

  The GNU General Public License, Version 2, June 1991